Landing Pages
Publish Landing Page
Publish a landing page
POST
/
api
/
v1
/
landing-pages
/
{landingPageId}
/
publish
Publish Landing Page
curl --request POST \
--url https://api.sequenzy.com/api/v1/landing-pages/{landingPageId}/publish \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"content": {}
}
'import requests
url = "https://api.sequenzy.com/api/v1/landing-pages/{landingPageId}/publish"
payload = {
"name": "<string>",
"slug": "<string>",
"content": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', slug: '<string>', content: {}})
};
fetch('https://api.sequenzy.com/api/v1/landing-pages/{landingPageId}/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"landingPage": {
"id": "lp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"publishedAt": "2026-05-01T10:30:00Z",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
}
{
"success": false,
"error": "Invalid landing page content."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "Landing page not found"
}
Publish a landing page. You can optionally update its name, slug, or content in
the same request.
Request
string
required
Landing page ID.
string
Optional updated landing page name.
string
Optional updated URL slug.
object
Optional updated landing page builder JSON.
curl -X POST "https://api.sequenzy.com/api/v1/landing-pages/lp_abc123/publish" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
Responses
{
"success": true,
"landingPage": {
"id": "lp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"publishedAt": "2026-05-01T10:30:00Z",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
}
{
"success": false,
"error": "Invalid landing page content."
}
{
"success": false,
"error": "Unauthorized"
}
{
"success": false,
"error": "Landing page not found"
}
⌘I
Publish Landing Page
